System.Design 2.0.0.0 System.Object System.IDisposable

You can control the display of your designer's with the class. provides a straightforward interface for displaying the items for each component, including the following methods and events:

The and methods display and hide the items for a component.

The event indicates when the UI changes for a component.

Use the to manage the collections associated with your component.

Manages the user interface (UI) for a smart tag panel. This class cannot be inherited.

- Event
  2.0.0.0
  System.ComponentModel.Design.DesignerActionUIStateChangeEventHandler

  The following table lists the set of specialized classes associated with the event.

  Specialized type

  Description

  Adds information specific to smart tag panel management. This class is specialized from .

  Connects the with its handler.

  Denotes whether the smart tag panel is being displayed or hidden.

  For more information about handling events, see Consuming Events.

  Occurs when a request is made to show or hide a smart tag panel.

- Method
  2.0.0.0
  System.Void

  Call when you are finished using the . The method leaves the in an unusable state. After calling , you must release all references to the so the garbage collector can reclaim the memory that the was occupying. For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the class.

- Method
  2.0.0.0
  System.Void ``

  If the smart tag panel is currently being displayed, the method will hide it. This method raises the event, stipulating as the event type.

  The and methods are implemented only to raise their corresponding events. The actual functionality is found in the handlers for these events, which are part of the design-time environment.

  Hides the smart tag panel for a component.

  The component whose smart tag panel should be hidden.
- Method
  2.0.0.0
  System.Void ``

  The method updates the internal DesignerAction , as well as the smart tag panel.

  Updates the smart tag panel.

  The to refresh.
- Method
  2.0.0.0
  System.Boolean `` To be added.

  Indicates whether to automatically show the smart tag panel.

  true to automatically show the smart tag panel; otherwise, false.

  The to automatically show.
- Method
  2.0.0.0
  System.Void ``

  If the smart tag panel is currently hidden, the method will display the panel. This method raises the event, stipulating as the event type.

  The and methods are implemented only to raise their corresponding events. The actual functionality is found in the handlers for these events, which are part of the design-time environment.

  Displays the smart tag panel for a component.

  The component whose smart tag panel should be displayed.